export declare type Operator = '$gte' | '$gt' | '$lt' | '$lte' | '$eq' | '$neq' | '$startsWith' | '$endsWith' | '$in' | '$nin' | '$exist';
export declare type JSONTypeKey = 'null' | 'string' | 'number' | 'boolean' | 'object' | 'array' | 'undefined';
export declare type Primitive = number | null | string | boolean;
export declare type JSONType = Primitive | Primitive[] | Record<string, unknown> | Record<string, unknown>[];
export declare type SchemaObject = {
    [k: string]: SchemaObject | Primitive;
} | {
    [k in Operator]: Primitive;
};
export declare type Schema = JSONType | SchemaObject;
declare const matchJsonToSchema: (input: JSONType, schema: Schema, root_input?: JSONType, indexes?: number[]) => boolean;
export default matchJsonToSchema;
