"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.supportedType = exports.isPrimitiveType = exports.getJSONType = void 0;
var getJSONType = function (v) {
    if (v === undefined) {
        return 'undefined';
    }
    if (v === null) {
        return 'null';
    }
    if (['number', 'string', 'boolean'].includes(typeof v)) {
        return typeof v;
    }
    if (Array.isArray(v)) {
        return 'array';
    }
    return 'object';
};
exports.getJSONType = getJSONType;
var isPrimitiveType = function (v) {
    return ['null', 'number', 'string', 'boolean'].includes(exports.getJSONType(v));
};
exports.isPrimitiveType = isPrimitiveType;
var supportedType = function (value, types) {
    return types.includes(exports.getJSONType(value));
};
exports.supportedType = supportedType;
